package com.djhk.uav.equ.service;

import java.util.List;
import java.util.Map;

/**
 * 统计分析
 *
 * @author gzm
 * @since 1.0.0 2023-06-25
 */
public interface StatService {
    /*
    * 按机构统计飞行次数、飞行时长数据
    * */
    List<Map> getStatForDept(Map map);

    /*
     * 按机类别计飞行次数、飞行时长数据
     * */
    List<Map> getStatForType(Map map);

    /*
     * 按设备型号飞行次数、飞行时长数据
     * */
    List<Map> getStatForModel(Map map);

    /*
     * 按设备统计飞行次数、飞行时长数据
     * */
    List<Map> getStatForEqu(Map map);
}